%global _empty_manifest_terminate_build 0
Name:           python-Logbook
Version:        1.7.0
Release:        1
Summary:        A logging replacement for Python
License:        BSD-3-Clause
URL:            http://logbook.pocoo.org/
Source0:        https://files.pythonhosted.org/packages/46/b3/e5e58e5ebb8465eb691fe1227ac4904211d6c7b9dbade0a7ff544e9ec5e0/Logbook-1.7.0.tar.gz 
BuildArch:      noarch
%description
Logbook is a logging system for Python that replaces the standard library’s logging module. It was designed with both complex and simple applications in mind and the idea to make logging fun

%package -n python3-logbook
Summary:        A logging replacement for Python
Provides:       python-Logbook = %{version}-%{release}
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
BuildRequires:  python3-brotli
%description -n python3-logbook
Logbook is a logging system for Python that replaces the standard library’s logging module. It was designed with both complex and simple applications in mind and the idea to make logging fun

%package help
Summary:        A logging replacement for Python
Provides:       python3-logbook-doc
%description help
Logbook is a logging system for Python that replaces the standard library’s logging module. It was designed with both complex and simple applications in mind and the idea to make logging fun

%prep
%autosetup -n Logbook-%{version}

%build
export DISABLE_LOGBOOK_CEXT=true
%py3_build


%install
export DISABLE_LOGBOOK_CEXT=true
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-logbook -f filelist.lst
%dir %{python3_sitelib}/*


%files help -f doclist.lst
%{_docdir}/*

%changelog
* Fri Nov 03 2023 jiangxinyu <jiangxinyu@kylinos.cn> - 1.7.0-1
- Update package to version 1.7.0

* Tue Aug 01 2023 chenzixuan <chenzixuan@kylinos.cn> - 1.6.0-1
- Updated to latest 1.6.0 version 

* Mon Jul 25 2022 liyanan <liyanan32@h-partners.com> - 1.5.3-3
- Use python3_sitearch instead of python3_sitelib

* Mon May 09 2022 yangping <yangping69@h-partners.com> - 1.5.3-2
- License compliance rectification

* Tue Jul 13 2021 OpenStack_SIG <openstack@openeuler.org> - 1.5.3-1
- Package Spec generate
